Bug 244528 - www/searx: Update to 0.16.0
Summary: www/searx: Update to 0.16.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Alexandre C. Guimarães
URL:
Keywords: buildisok
Depends on:
Blocks: 244542
  Show dependency treegraph
 
Reported: 2020-02-29 23:49 UTC by Christopher May-Townsend
Modified: 2020-03-07 18:41 UTC (History)
2 users (show)

See Also:
loic.blot: maintainer-feedback+


Attachments
searx update diff (843 bytes, patch)
2020-02-29 23:49 UTC, Christopher May-Townsend
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Christopher May-Townsend 2020-02-29 23:49:04 UTC
Created attachment 212057 [details]
searx update diff

Release was updated about a month ago.
Comment 1 Automation User 2020-03-01 01:38:02 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/122190369
Comment 2 loic.blot 2020-03-01 05:58:51 UTC
fine to me, go ahead
Comment 3 Christopher May-Townsend 2020-03-01 11:41:47 UTC
cheers!

I also have a few patches to get ready to make searx default to python3 on bsd, couple of ports are out of date but seem to be python3 compatible now, this is the last searx port to be python2 compatible, so might as well do the hard yards now.
Comment 4 commit-hook freebsd_committer 2020-03-07 18:20:03 UTC
A commit references this bug:

Author: rigoletto
Date: Sat Mar  7 18:19:02 UTC 2020
New revision: 527957
URL: https://svnweb.freebsd.org/changeset/ports/527957

Log:
  www/searx: Update to 0.16.0

  PR:		244528
  Submitted by:	Christopher May-Townsend <chris@maytownsend.co.uk>
  Approved by:	tcberner (mentor, implicit)

Changes:
  head/www/searx/Makefile
  head/www/searx/distinfo
Comment 5 Alexandre C. Guimarães freebsd_committer 2020-03-07 18:20:54 UTC
(In reply to Christopher May-Townsend from comment #3)

When you have the patches, please open a new bug report.

Thank you! :-)
Comment 6 Christopher May-Townsend 2020-03-07 18:22:38 UTC
Way ahead of you, check which but this one blocks :). Cheers for the merge!
Comment 7 Alexandre C. Guimarães freebsd_committer 2020-03-07 18:41:22 UTC
(In reply to Christopher May-Townsend from comment #6)

Oh, those others still needs maintaner feed back.

Thanks!